package com.caimei.www.service.page;

import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.page.ImageLink;
import com.caimei.www.pojo.page.PageContent;
import com.caimei.www.pojo.page.PageFloor;
import com.github.pagehelper.PageInfo;
import org.springframework.http.server.reactive.ServerHttpResponse;
import reactor.core.publisher.Mono;

import java.io.FileNotFoundException;
import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/20
 */
public interface SinglePageService {

    /** 自由页面 */
    PageContent getFreePageById(Integer id);
    /** 二级页面 */
    PageContent getTopicPageById(Integer id);
    /** 采美直播 */
    PageContent getLivePageData();
    /** 二级专题数据 */
    JsonModel<List<PageFloor>> getTopicDataById(Integer id);
    /** 专题活动列表数据 */
    JsonModel<PageInfo<ImageLink>> gePromotionsList(int pageNum, int pageSize);
    /** 品牌招商表格下载 */
    Mono<Void> downloadByWriteWith(ServerHttpResponse response) throws UnsupportedEncodingException, FileNotFoundException;
    /** 获取讲师列表 */
    JsonModel<List<ImageLink>> getLiveTeachers();

}
